corda / net.corda.core.utilities / NonEmptySetSerializer

# NonEmptySetSerializer

`object NonEmptySetSerializer : Serializer<NonEmptySet<Any>>`

Custom serializer which understands it has to read in an item before trying to construct the set.

### Functions

read | `fun read(kryo: Kryo, input: Input, type: Class<NonEmptySet<Any>>): NonEmptySet<Any>`
write | `fun write(kryo: Kryo, output: Output, obj: NonEmptySet<Any>): Unit`